Skip to main content
POST
/
api
/
v1
/
executions
/
{executionID}
/
events
Ingest execution events
curl --request POST \
  --url https://api.fact0.io/api/v1/executions/{executionID}/events \
  --header 'Content-Type: application/json' \
  --data '
{
  "events": [
    {
      "id": "<string>",
      "execution_id": "<string>",
      "span_id": "<string>",
      "sequence_number": 123,
      "event_type": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "payload": {}
    }
  ]
}
'
{
  "accepted_count": 123,
  "errors": [
    {
      "entity_id": "<string>",
      "code": "<string>",
      "message": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.fact0.io/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

executionID
string
required

Body

application/json
events
object[]
required

Response

200 - application/json

Events accepted

accepted_count
integer
errors
object[]